let treasures = [];

function renderTreasures() {
 const treasureList = document.getElementById('treasure-list');
 treasureList.innerHTML = '';
 treasures.forEach((treasure, index) => {
  const treasureItem = document.createElement('div');
  treasureItem.className = 'treasure-item';
  treasureItem.innerHTML = `
   <input type="text" value="${treasure}" onchange="updateTreasure(${index}, this.value)">
   <button onclick="deleteTreasure(${index})">Delete</button>
  `;
  treasureList.appendChild(treasureItem);
 });
}

function addTreasure() {
 const newTreasureInput = document.getElementById('new-treasure');
 const newTreasure = newTreasureInput.value.trim();
 if (newTreasure) {
  treasures.push(newTreasure);
  newTreasureInput.value = '';
  renderTreasures();
 }
}

function updateTreasure(index, newValue) {
 treasures[index] = newValue;
}

function deleteTreasure(index) {
 treasures.splice(index, 1);
 renderTreasures();
}

// Initial render
renderTreasures();